-- --------------------------------------------------------------------------------------------------
-- Replace all instances of SERVERNAME with your correct server (or server\instance) prior to running
-- For Pro or Standard installations, the instance must be named WaspDbExpress (server\WaspDbExpress)

-- Replace LICENSE with your serial number
-- Replace WEBLICENSE with your web module serial number, or if you don't have the web module
-- make it ''
-- ---------------------------------------------------------------------------------------------------

IF NOT EXISTS (select * from WaspConfig..applications where app_id = 1)
   insert into WaspConfig..applications (app_id,app_name,app_type,app_code,access_code,license1,license2) values (1,'MobileAsset','STD','MA','','LICENSE','WEBLICENSE')
ELSE
BEGIN
   UPDATE	WaspConfig..applications set license1 = 'LICENSE' where app_id = 1 
   UPDATE	WaspConfig..applications set license2 = 'WEBLICENSE' where app_id = 1 and (license2='' OR license2 IS NULL) 
END
GO
IF NOT EXISTS (select * from WaspConfig..applications where app_id = 2)
   insert into WaspConfig..applications (app_id,app_name,app_type,app_code,access_code) values (2,'InventoryControl','STD','IC','')
GO
IF NOT EXISTS (select * from WaspConfig..application_databases where db_server_name='SERVER' and db_database_name='WaspTrackAsset')
BEGIN
   insert into WaspConfig..application_databases (db_server_name,db_database_name,db_update_user,db_update_password,db_read_user,db_read_password,db_is_demo,app_id,db_description,db_integrated,db_version) values ('SERVER','WaspTrackAsset','AssetUser','M+NK,cFb','AssetReader','I+,#=sc^ b','F',1,'Default Company','F','')
END
ELSE
BEGIN
   UPDATE WaspConfig..application_databases SET db_is_demo = 'F' where db_server_name='SERVER' and db_database_name='WaspTrackAsset'
END

-- --------------------------------------------------------------------
-- Replace ENT with PRO if you have Pro, or STD if you have Standard
-- --------------------------------------------------------------------
update WaspConfig..applications set app_type = 'ENT' where app_id = 1