
USE [WaspTrackAsset]

PRINT ''
PRINT ''
PRINT '******************************'
PRINT 'Update tables  -- [asset_class] '
PRINT '******************************'
PRINT ''

--SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset_class]')

if ((SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset_class]') AND NAME = 'depreciation_custom_percent') = 0) 
BEGIN

	ALTER TABLE [dbo].[asset_class] ADD 
		[depreciation_custom_percent] [decimal](18, 4) NOT NULL  DEFAULT (0.0)
		
END		

if ((SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[asset_class]') 
	AND NAME = 'deprec_to_salvage') = 0) 
BEGIN

	ALTER TABLE [dbo].[asset_class] ADD 
		[deprec_to_salvage] [wtbool] NOT NULL CONSTRAINT [DF_asset_class_deprec_to_salvage]  DEFAULT ('T')
		
END		

