
USE [WaspTrackAsset]

PRINT ''
PRINT ''
PRINT '******************************'
PRINT 'Update tables  -- [item] '
PRINT '******************************'
PRINT ''

--SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[item]')

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[item]')
 AND NAME = 'usrdefnumber1' and xprec = 15) > 0
BEGIN
	ALTER TABLE [dbo].[item] ALTER COLUMN usrdefnumber1 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[item]')
 AND NAME = 'usrdefnumber2' and xprec = 15) > 0
BEGIN
	ALTER TABLE [dbo].[item] ALTER COLUMN usrdefnumber2 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[item]')
 AND NAME = 'usrdefnumber3' and xprec = 15) > 0
BEGIN
	ALTER TABLE [dbo].[item] ALTER COLUMN usrdefnumber3 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[item]')
 AND NAME = 'usrdefnumber4' and xprec = 15) > 0
BEGIN
	ALTER TABLE [dbo].[item] ALTER COLUMN usrdefnumber4 [decimal](19, 4) NULL
END

if (SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[item]')
 AND NAME = 'usrdefnumber5' and xprec = 15) > 0
BEGIN
	ALTER TABLE [dbo].[item] ALTER COLUMN usrdefnumber5 [decimal](19, 4) NULL
END

if ((SELECT COUNT(*) FROM dbo.syscolumns WHERE id = OBJECT_ID(N'[dbo].[item]') AND NAME = 'linked_reference') = 0)
BEGIN
	ALTER TABLE [dbo].[item] ADD [linked_reference] [nvarchar](1000) COLLATE SQL_LATIN1_General_CP1_CI_AS NULL  
END

if NOT EXISTS (select * from dbo.syscolumns where name = 'lead_time' and id = object_id(N'[dbo].[item]'))
BEGIN
ALTER TABLE [dbo].[item] ADD [lead_time] [int] NULL

-- Update the asset type (item) table to have checkout_duration in minutes instaed of days
update item set item.checkout_duration = item.checkout_duration * 24 * 60

END

GO

