USE [WaspTrackAsset]

PRINT ''
PRINT ''
PRINT '******************************'
PRINT 'Update tables  -- [users] '
PRINT '******************************'
PRINT ''

IF NOT EXISTS (select * from dbo.syscolumns where name = 'email' and id = object_id(N'[dbo].[users]'))
BEGIN
ALTER TABLE [dbo].[users] ADD 
	[email] [varchar] (250) COLLATE SQL_Latin1_General_CP1_CI_AS NULL 
END

IF NOT EXISTS (select * from dbo.syscolumns where name = 'group_id' and id = object_id(N'[dbo].[users]'))
BEGIN
	ALTER TABLE [dbo].[users] ADD [group_id] [int] NOT NULL CONSTRAINT [DF_users_group_id]  DEFAULT ((1))
	
	ALTER TABLE [dbo].[users]  WITH CHECK ADD  CONSTRAINT [FK_users_user_groups] FOREIGN KEY([group_id])
							REFERENCES [dbo].[user_groups] ([group_id])
	
	ALTER TABLE [dbo].[users] CHECK CONSTRAINT [FK_users_groups]
END


if EXISTS (SELECT * FROM dbo.sysindexes WHERE NAME = N'IX_USERS_LOGON')
BEGIN
   DROP INDEX [dbo].[users].[IX_USER_LOGON] 
END

